Skip to main content
GET
cURL

Query Parameters

run_id
string
required

ID of the run whose artifacts to list. Must be provided.

path
string

Filter artifacts matching this path (a relative path from the root artifact directory).

page_token
string

Token indicating the page of artifact results to fetch

Response

List of artifacts that fit the search criteria

root_uri
string
required

Root artifact directory for the run.

files
object[]

File location and metadata for artifacts.

next_page_token
string

Token that can be used to retrieve the next page of artifact results